org.bouncycastle.math.ec.custom.sec

## Class SecT283FieldElement

- java.lang.Object
- - org.bouncycastle.math.ec.ECFieldElement
  - - org.bouncycastle.math.ec.ECFieldElement.AbstractF2m
    - - org.bouncycastle.math.ec.custom.sec.SecT283FieldElement

- All Implemented Interfaces:
    ECConstants

      public class SecT283FieldElement
      extends ECFieldElement.AbstractF2m

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.math.ec.ECFieldElement

      `ECFieldElement.AbstractF2m, ECFieldElement.AbstractFp, ECFieldElement.F2m, ECFieldElement.Fp`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long[]` | `x`

    - ### Fields inherited from interface org.bouncycastle.math.ec.ECConstants

      `EIGHT, FOUR, ONE, THREE, TWO, ZERO`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `SecT283FieldElement()`
    `` | `SecT283FieldElement(java.math.BigInteger x)`
    `protected` | `SecT283FieldElement(long[] x)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ECFieldElement` | `add(ECFieldElement b)`
    `ECFieldElement` | `addOne()`
    `ECFieldElement` | `divide(ECFieldElement b)`
    `boolean` | `equals(java.lang.Object other)`
    `java.lang.String` | `getFieldName()`
    `int` | `getFieldSize()`
    `int` | `getK1()`
    `int` | `getK2()`
    `int` | `getK3()`
    `int` | `getM()`
    `int` | `getRepresentation()`
    `ECFieldElement` | `halfTrace()`
    `boolean` | `hasFastTrace()`
    `int` | `hashCode()`
    `ECFieldElement` | `invert()`
    `boolean` | `isOne()`
    `boolean` | `isZero()`
    `ECFieldElement` | `multiply(ECFieldElement b)`
    `ECFieldElement` | `multiplyMinusProduct(ECFieldElement b, ECFieldElement x, ECFieldElement y)`
    `ECFieldElement` | `multiplyPlusProduct(ECFieldElement b, ECFieldElement x, ECFieldElement y)`
    `ECFieldElement` | `negate()`
    `ECFieldElement` | `sqrt()`
    `ECFieldElement` | `square()`
    `ECFieldElement` | `squareMinusProduct(ECFieldElement x, ECFieldElement y)`
    `ECFieldElement` | `squarePlusProduct(ECFieldElement x, ECFieldElement y)`
    `ECFieldElement` | `squarePow(int pow)`
    `ECFieldElement` | `subtract(ECFieldElement b)`
    `boolean` | `testBitZero()`
    `java.math.BigInteger` | `toBigInteger()`
    `int` | `trace()`

    - ### Methods inherited from class org.bouncycastle.math.ec.ECFieldElement

      `bitLength, encodeTo, getEncoded, getEncodedLength, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          protected long[] x

  - ### Constructor Detail

    - #### SecT283FieldElement

          public SecT283FieldElement(java.math.BigInteger x)

    - #### SecT283FieldElement

          public SecT283FieldElement()

    - #### SecT283FieldElement

          protected SecT283FieldElement(long[] x)

  - ### Method Detail

    - #### isOne

          public boolean isOne()

      Overrides:
        `isOne` in class `ECFieldElement`

    - #### isZero

          public boolean isZero()

      Overrides:
        `isZero` in class `ECFieldElement`

    - #### testBitZero

          public boolean testBitZero()

      Overrides:
        `testBitZero` in class `ECFieldElement`

    - #### toBigInteger

          public java.math.BigInteger toBigInteger()

      Specified by:
        `toBigInteger` in class `ECFieldElement`

    - #### getFieldName

          public java.lang.String getFieldName()

      Specified by:
        `getFieldName` in class `ECFieldElement`

    - #### getFieldSize

          public int getFieldSize()

      Specified by:
        `getFieldSize` in class `ECFieldElement`

    - #### add

          public ECFieldElement add(ECFieldElement b)

      Specified by:
        `add` in class `ECFieldElement`

    - #### addOne

          public ECFieldElement addOne()

      Specified by:
        `addOne` in class `ECFieldElement`

    - #### subtract

          public ECFieldElement subtract(ECFieldElement b)

      Specified by:
        `subtract` in class `ECFieldElement`

    - #### multiply

          public ECFieldElement multiply(ECFieldElement b)

      Specified by:
        `multiply` in class `ECFieldElement`

    - #### multiplyMinusProduct

          public ECFieldElement multiplyMinusProduct(ECFieldElement b,
                                                     ECFieldElement x,
                                                     ECFieldElement y)

      Overrides:
        `multiplyMinusProduct` in class `ECFieldElement`

    - #### multiplyPlusProduct

          public ECFieldElement multiplyPlusProduct(ECFieldElement b,
                                                    ECFieldElement x,
                                                    ECFieldElement y)

      Overrides:
        `multiplyPlusProduct` in class `ECFieldElement`

    - #### divide

          public ECFieldElement divide(ECFieldElement b)

      Specified by:
        `divide` in class `ECFieldElement`

    - #### negate

          public ECFieldElement negate()

      Specified by:
        `negate` in class `ECFieldElement`

    - #### square

          public ECFieldElement square()

      Specified by:
        `square` in class `ECFieldElement`

    - #### squareMinusProduct

          public ECFieldElement squareMinusProduct(ECFieldElement x,
                                                   ECFieldElement y)

      Overrides:
        `squareMinusProduct` in class `ECFieldElement`

    - #### squarePlusProduct

          public ECFieldElement squarePlusProduct(ECFieldElement x,
                                                  ECFieldElement y)

      Overrides:
        `squarePlusProduct` in class `ECFieldElement`

    - #### squarePow

          public ECFieldElement squarePow(int pow)

      Overrides:
        `squarePow` in class `ECFieldElement`

    - #### halfTrace

          public ECFieldElement halfTrace()

      Overrides:
        `halfTrace` in class `ECFieldElement.AbstractF2m`

    - #### hasFastTrace

          public boolean hasFastTrace()

      Overrides:
        `hasFastTrace` in class `ECFieldElement.AbstractF2m`

    - #### trace

          public int trace()

      Overrides:
        `trace` in class `ECFieldElement.AbstractF2m`

    - #### invert

          public ECFieldElement invert()

      Specified by:
        `invert` in class `ECFieldElement`

    - #### sqrt

          public ECFieldElement sqrt()

      Specified by:
        `sqrt` in class `ECFieldElement`

    - #### getRepresentation

          public int getRepresentation()

    - #### getM

          public int getM()

    - #### getK1

          public int getK1()

    - #### getK2

          public int getK2()

    - #### getK3

          public int getK3()

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`